ColorChangerExtension = new OpenLayers.Class(GeoMOOSE.UX.Extension, {

	current_color: 0,
	colors: ['red','green','blue','yellow','aqua'],

	my_id: OpenLayers.Util.createUniqueID('ColorChanger'),

	change_color: function() {
		p = document.getElementById('control-panel');
		this.current_color++;
		if(this.current_color >= this.colors.length) {
			this.current_color = 0;
		}

		p.style.backgroundColor = this.colors[this.current_color]
	},

	load: function() {
		if(!window.color_changers) {
			window.color_changers = {}
		}

		window.color_changers[this.my_id] = this;

		setInterval("colorChangerCallChange('"+this.my_id+"')", 1000);
	},
	CLASS_NAME: 'ColorChangerExtension'
});

function colorChangerCallChange(id) {
	window.color_changers[id].change_color();
}

GeoMOOSE.UX.register('ColorChangerExtension');
